/*
   This program tries to show what can go wrong with the
   program ascii2.c. Notice from the output that the pointer
   is stored immediately after the array. The loop goes one
   byte past the end of the array (why?) and clobbers the pointer.
   (This assumes that you are using lcc as the compiler.)
*/
#include <stdio.h>

int main()
{
      char *cp;
      char c[255];
      printf("%p\n", &cp);  // print out the pointer's address
      // initialize the array with ASCII codes
      for (cp = c; cp <= c+255; cp++)
      {
         // print the value of the pointer
         printf("cp-c+1=%p cp=%p ...", (void*)(cp-c+1), cp);
         // use the pointer
         *cp = (char)(cp-c+1);
         // print the value of the pointer again
         printf(" cp=%p\n", cp);
      }
      printf("%s", c);  // print out the string in the array
      return 0;
}
