/*
   This program reads one character at a time from standard input,
   and then writes each character N times to standard output.
*/
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char* argv[])
{
   int i;
   char c;
   int n = 2;
   if (argc > 1)
   {
      n = atoi(argv[1]);
      if (n <= 0) n = 2;
   }

   while( (c = getchar()) != EOF )
      if ( c != 10 && c != 13 ) // don't repeat CR or LF
         for (i = 0; i < n; i++)
            printf("%c", c);
      else
         printf("%c", c);

   return 0;
}