/*
   This program also shows what can go wrong with ascii2.c.
   This version changes the expression cp-c+1 to cp-c.
   The loop still goes one byte past the end of the array and
   clobbers the pointer, but in a different way.
   (This assumes that you are using lcc as the compiler.
    If you use gcc, something else happens.)
*/
#include <stdio.h>

int main()
{
      char *cp;
      char c[255];
      printf("%p\n", &cp);  // print out the pointer's address
      // initialize the array with ASCII codes
      for (cp = c; cp <= c+255; cp++)
      {
         // print the value of the pointer
         printf("cp-c=%p cp=%p ...", (void*)(cp-c), cp);
         // use the pointer
         *cp = (char)(cp-c);
         // print the value of the pointer again
         printf(" cp=%p\n", cp);
      }
      printf("%s", c);  // print out the string in the array
      return 0;
}
