/*
    This program demonstrates several little ideas.

    Strings are arrays of characters.

    A character is held in a single byte.

    Characters are really just integers.

    And C does not stop you from going past the end of an array.
*/
#include <stdio.h>

int main( )
{
   char* myString = "this is a string";
   int i;

   // Walk through the string using pointer arithmetic and
   // array notation. Print out the address of each character
   // and the character.
   for (i = 0; i < 20; i++)
      printf( "the character at address %p is %c\n",
               myString+i, *(myString+i) );

   // print a blank line
   printf("\n");

   // Walk through the string again but this time print
   // each character as an integer (its ASCII value).
   for (i = 0; i < 20; i++)
      printf( "the data at address %p is %d\n",
               myString+i, myString[i] );

   return 0;
}//main
